Public Member Functions | Private Slots | Private Attributes

# ShTimer Class Reference

Implements a simple timer. More...

`#include <shtimer.h>`

Inheritance diagram for ShTimer:
[legend]
Collaboration diagram for ShTimer:
[legend]

List of all members.

## Public Member Functions
| ShTimer ()
| Constructor of ShTimer.
virtual | ~ShTimer ()
virtual bool | init (QString param)
| Initialization of the plug-in.
virtual void | updatePins (const QList< ShPin > &pins)
virtual void | processMessage (ShMessagePtr message)
| Processes incomming messages (input changes).
## Private Slots
void | onTimeout ()
## Private Attributes
QTimer * | mTimer
bool | mOutput

## Detailed Description

Implements a simple timer.

Definition at line 33 of file shtimer.h.

## Constructor & Destructor Documentation

ShTimer::ShTimer | ( |  | ) |

Constructor of ShTimer.

Definition at line 25 of file shtimer.cpp.

References mOutput, mTimer, and onTimeout().

Here is the call graph for this function:

virtual ShTimer::~ShTimer | ( |  | ) | `[inline, virtual]`

Definition at line 40 of file shtimer.h.

## Member Function Documentation

bool ShTimer::init | ( | QString | param | ) | `[virtual]`

Initialization of the plug-in.

Parameters:

  | param | Defines a timer period

Returns:
  true if the plug-in has been initialized successfully

Implements ShObject.

Definition at line 41 of file shtimer.cpp.

References mTimer.

void ShTimer::onTimeout | ( |  | ) | `[private, slot]`

Definition at line 54 of file shtimer.cpp.

References mOutput, and ShObjectHelper::outputUpdated().

Referenced by ShTimer().

Here is the call graph for this function:

Here is the caller graph for this function:

void ShTimer::processMessage | ( | ShMessagePtr | message | ) | `[virtual]`

Processes incomming messages (input changes).

Parameters:

  | message | Shared pointer to the message

Definition at line 65 of file shtimer.cpp.

References ShObjectHelper::ackMessage(), mOutput, mTimer, and ShObjectHelper::outputUpdated().

Here is the call graph for this function:

virtual void ShTimer::updatePins | ( | const QList< ShPin > & | pins | ) | `[inline, virtual]`

Implements ShObject.

Definition at line 42 of file shtimer.h.

## Member Data Documentation

bool ShTimer::mOutput`[private]`

Definition at line 50 of file shtimer.h.

Referenced by onTimeout(), processMessage(), and ShTimer().

QTimer* ShTimer::mTimer`[private]`

Definition at line 49 of file shtimer.h.

Referenced by init(), processMessage(), and ShTimer().

The documentation for this class was generated from the following files:

- shtimer/shtimer.h
- shtimer/shtimer.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends